# ![KVIrc-Midnight](https://github.com/kvirc/KVIrc/wiki/images/KVIrc-midnight.png) KVIrc

[![Linux build](https://github.com/kvirc/KVIrc/actions/workflows/build_linux_qt6.yml/badge.svg)](https://github.com/kvirc/KVIrc/actions/workflows/build_linux_qt6.yml)
[![macOS build](https://github.com/kvirc/KVIrc/actions/workflows/build_macos.yml/badge.svg)](https://github.com/kvirc/KVIrc/actions/workflows/build_macos.yml)
[![Windows build](https://github.com/kvirc/KVIrc/actions/workflows/build_windows.yml/badge.svg)](https://github.com/kvirc/KVIrc/actions/workflows/build_windows.yml)
[![Coverity Scan Build Status](https://scan.coverity.com/projects/6841/badge.svg)](https://scan.coverity.com/projects/kvirc-coverity)

<!--![KVIrc logo](../master/data/icons/128x128/kvirc.png "KVIrc - The visual IRC client for the masses!") -->

Welcome to the development and bug tracker for the KVIrc project.

KVIrc is a free and portable IRC client leveraging the Qt GUI toolkit.
KVIrc is written by Szymon Stefanek and the KVIrc development team, with [contributions](https://github.com/kvirc/KVIrc/graphs/contributors) and support of many IRC addicted developers around the world.

## Getting Involved

* [Contributing](https://github.com/kvirc/KVIrc/wiki/Getting-involved-and-contributing)

## Help & Support

* [KVIrc Wiki](https://github.com/kvirc/KVIrc/wiki/home)
* [KVIrc Manual](http://www.kvirc.net/doc)
* [KVIrc API](http://www.kvirc.net/api)
* [How to submit a bug report](https://github.com/kvirc/KVIrc/wiki/Submitting-a-bug-report)
* [Open a bug report or make a suggestion](https://github.com/kvirc/KVIrc/issues)
* Talk to us - #KVIrc on Irc.Libera.Chat

---

## Downloads

Try one of our fresh off-the-press [nightly builds](https://github.com/kvirc/KVIrc/wiki/Downloading-KVIrcs-nightly-source-or-binaries) for Windows, Ubuntu and Debian.

We're also looking for volunteer packagers and maintainers to other Linux distributions, that can help us extend KVIrc's availability in other operating systems.

## Compile Your Own

If you want to compile KVIrc on your chosen platform, we have guides on how to do that for a few popular ones:

* [Linux](https://github.com/kvirc/KVIrc/wiki/installation)
* [macOS](https://github.com/kvirc/KVIrc/wiki/Compiling-KVIrc-on-macOS)
* [Windows](https://github.com/kvirc/KVIrc/wiki/Compiling-KVIrc-on-Windows)

## License

[![KVIrc GPLv2+](https://img.shields.io/badge/KVIrc-GPLv2+-blue.svg)](./COPYING)
[![OpenSSL](https://img.shields.io/badge/OpenSSL-Licence-orange.svg)](./doc/LICENSE-OPENSSL)
[![OpenSSL exception](https://img.shields.io/badge/OpenSSL-Exception-orange.svg)](./doc/LICENSE-OPENSSL)
